Issue1072

classification
Title: Parsing error in file with white space at the end
Type: crash Severity: urgent
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fjakobs, nriley
Priority: Keywords:

Created on 2008-07-16.10:18:42 by fjakobs, last changed 2008-08-11.07:27:55 by nriley.

Files
File name Uploaded Description Edit Remove
jythondedent.py fjakobs, 2008-07-16.10:18:41
Messages
msg3334 (view) Author: Fabian Jakobs (fjakobs) Date: 2008-07-16.10:18:41
I get a parsing error with the attached file. The reason is the
additional white space at the end of the file. CPython 2.5 has no
problems parsing the file.

The error message is:

telefonmann:Desktop fabianpb$ ~/jython2.5a1+/jython
Jython 2.5a1+ (asm:4943:4945, Jul 15 2008, 15:30:04) 
[Java HotSpot(TM) Client VM (Apple Inc.)] on java1.5.0_13
Type "help", "copyright", "credits" or "license" for more information.
>>> import jythondedent
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "jythondedent.py", line 0
SyntaxError: mismatched input 
 expecting DEDENT (jythondedent.py, line 0)
>>>
msg3420 (view) Author: Nicholas Riley (nriley) Date: 2008-08-11.07:27:54
This is fixed in the asm branch as of a few days ago.
History
Date User Action Args
2008-08-11 07:27:55nrileysetstatus: open -> closed
resolution: fixed
messages: + msg3420
nosy: + nriley
2008-07-22 07:46:59fjakobssetseverity: major -> urgent
2008-07-16 10:18:42fjakobscreate